Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88240 - Cannot log into RedHat 9 following install
Summary: Cannot log into RedHat 9 following install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup
Version: 9
Hardware: i586
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 03:35 UTC by Extreme
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-10 00:55:47 UTC


Attachments (Terms of Use)

Description Extreme 2003-04-08 03:35:02 UTC
Description of problem:

After installing RedHat 9, I can't log in from either the graphical login 
screen, or from the command line.  I've been able to repeat this on two 
seperate machines so far (IBM server, and an American Megatrends PC).  The 
first time was during an upgrade from 8.0 to 9 (AMI PC), the second time was 
on a fresh install of 9 (IBM Server).

Version-Release number of selected component (if applicable):

9

How reproducible:

I've encountered this problem while using an IBM server, as well as an 
American Megatrends computer.

Steps to Reproduce:
1.  Install 9
2. Attempt to log in either via the created user, or root.
3. 
    
Actual results:

username and password appear as if they're going to be accepted, but then the 
screen refreshes and it's back to the login again (via the graphical login).  
On the command line login, something similar happens in that it appears as 
though it will be accepted, but then it prompts me to log in again.

However, when I try to log in (either via the graphical login, or command 
line) and I enter a bogus username/password the system immediately prompts me 
about the incorrect username/password.

Expected results:

to be prompted to log in over, and over with no success.

Additional info:

Not sure what to put here, but I'll be glad to send any further info via email 
if it's requested.

Comment 1 Bill Nottingham 2003-04-08 15:19:34 UTC
If you boot into single user mode, and run:

rpm -q --qf "%{ARCH}\n" glibc

what does it say?

Also, are there any errors in /var/log/messages from when you tried to log in?
(Yo'll probably need to boot into single-user mode to look at the logs.)

Comment 2 Bill Nottingham 2003-04-10 00:55:47 UTC
OK, as mentioned in e-mail, this was a kerberos configuration issue.


Note You need to log in before you can comment on or make changes to this bug.